%global srcname pytest
%global pylib_version 1.4.29

Name:           python3-pytest
Version:        2.8.5
Release:        3%{?dist}
Summary:        Simple powerful testing with Python

License:        MIT
URL:            http://pytest.org
Source0:        https://github.com/pytest-dev/pytest/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-sphinx
# For sphinx
BuildRequires:  python-py
BuildRequires:  python-docutils
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-py >= %{pylib_version}

# used by the testsuite, if present:
# if pexpect is present, the testsuite fails on F19 due to
# http://bugs.python.org/issue17998
#BuildRequires:  python%{python3_pkgversion}-pexpect
BuildRequires:  python3-mock


%description
py.test provides simple, yet powerful testing for Python.


%prep
%setup -q -n %{srcname}-%{version}


%build
%{__python3} setup.py build
#for l in doc/* ; do
#  make -C $l html PYTHONPATH=$(pwd)
#done
# this fails with sphinx errors, perhaps there is an undocumented minimum
# compatible sphinx version necessary here


%install
%{__python3} setup.py install -O1 --single-version-externally-managed --skip-build --root=$RPM_BUILD_ROOT
rm %{buildroot}%{_bindir}/py.test
mv %{buildroot}%{_bindir}/py.test-{3.3,3}

# remove shebangs from all scripts
find %{buildroot}%{python3_sitelib} -name '*.py' \
     -exec sed -i -e '1{/^#!/d}' {} \;

#mkdir -p _htmldocs/html
#for l in doc/* ; do
#  # remove hidden file
#  rm ${l}/_build/html/.buildinfo
#  mv ${l}/_build/html _htmldocs/html/${l##doc/}
#done

rst2html README.rst > README.html


%files
#%doc LICENSE CHANGELOG README.html _htmldocs/html
%doc LICENSE CHANGELOG README.html
%{_bindir}/py.test-3
%{python3_sitelib}/*


%changelog
* Fri Oct 21 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 2.8.5-3
- Rebuild for Rutgers CentOS 6
- Remove newer python3 macros 

* Wed Dec 30 2015 Orion Poplawski <orion@cora.nwra.com> - 2.8.5-2
- Use github tarball for source

* Wed Dec 30 2015 Orion Poplawski <orion@cora.nwra.com> - 2.8.5-1
- Intiial EPEL package
